Bug 246351 - Review Request: libopensync-plugin-gnokii - plugin for using gnokii with opensync
Review Request: libopensync-plugin-gnokii - plugin for using gnokii with open...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-30 16:16 EDT by josef radinger
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-30 11:12:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hdegoede: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description josef radinger 2007-06-30 16:16:49 EDT
Spec URL: http://www.nosuchhost.net/~cheese/fedora/packages/libopensync-plugin-gnokii.spec
SRPM URL: http://www.nosuchhost.net/~cheese/fedora/packages/libopensync-plugin-gnokii-0.22-1.fc7.src.rpm
Description: plugin for using gnokii with opensync

my second package; i need a sponsor
Comment 1 josef radinger 2007-06-30 16:26:27 EDT
i forgot to set the correct summary
Comment 2 Hans de Goede 2007-11-17 12:05:10 EST
I see that you are looking for someone to sponsor you, and as it happens I'm
allowed to sponsor people. Here is what I would like to do: I see that you've
submitted 3 packages for review, I will review all 3 of them and then after one
or two iterations the can hopefully be approved, assuming that process go well
I'll sponsor you when all 3 are approved, if you agree with this "procedure",
please let me know and I'll start reviewing all 3.


Comment 3 Hans de Goede 2007-11-21 16:21:44 EST
Full review done.

Must Fix:
-License field is wrong. Its GPL version 2 or any later verison, which 
 the new license guideline requires you to state as GPLv2+
-Description must end with a "."
-drop the ldconfig scripts, this is a plugin not a lib, so they are not needed.
-Must have "Requires: libopensync" for %{_libdir}/opensync/plugins and
 %{_libdir}/opensync/formats dir ownership
-doesn't compile on F-8:
 gcc -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/include/opensync-1.0
-I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/libxml2
-Wall -Werror -O2 -I/usr/include/opensync-1.0 -I/usr/include/glib-2.0
-I/usr/lib64/glib-2.0/include -I/usr/include/libxml2 -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m64 -mtune=generic -MT gnokii_contact_format.lo -MD -MP -MF
.deps/gnokii_contact_format.Tpo -c gnokii_contact_format.c  -fPIC -DPIC -o
.libs/gnokii_contact_format.o
cc1: warnings being treated as errors
gnokii_contact_format.c: In function 'conv_gnokii_contact_to_xml':
gnokii_contact_format.c:109: warning: enumeration value
'GN_PHONEBOOK_ENTRY_Location' not handled in switch
gnokii_contact_format.c:109: warning: enumeration value
'GN_PHONEBOOK_ENTRY_Image' not handled in switch
gnokii_contact_format.c:109: warning: enumeration value
'GN_PHONEBOOK_ENTRY_UserID' not handled in switch
gnokii_contact_format.c:109: warning: enumeration value
'GN_PHONEBOOK_ENTRY_PTTAddress' not handled in switch
gnokii_contact_format.c:109: warning: enumeration value
'GN_PHONEBOOK_ENTRY_FirstName' not handled in switch
gnokii_contact_format.c:109: warning: enumeration value
'GN_PHONEBOOK_ENTRY_LastName' not handled in switch
gnokii_contact_format.c:109: warning: enumeration value
'GN_PHONEBOOK_ENTRY_PostalAddress' not handled in switch
gnokii_contact_format.c:109: warning: enumeration value
'GN_PHONEBOOK_ENTRY_ExtendedAddress' not handled in switch
gnokii_contact_format.c:109: warning: enumeration value
'GN_PHONEBOOK_ENTRY_Street' not handled in switch
gnokii_contact_format.c:109: warning: enumeration value
'GN_PHONEBOOK_ENTRY_City' not handled in switch
gnokii_contact_format.c:109: warning: enumeration value
'GN_PHONEBOOK_ENTRY_StateProvince' not handled in switch
gnokii_contact_format.c:109: warning: enumeration value
'GN_PHONEBOOK_ENTRY_ZipCode' not handled in switch
gnokii_contact_format.c:109: warning: enumeration value
'GN_PHONEBOOK_ENTRY_Country' not handled in switch
gnokii_contact_format.c:109: warning: enumeration value
'GN_PHONEBOOK_ENTRY_FormalName' not handled in switch
gnokii_contact_format.c:109: warning: enumeration value
'GN_PHONEBOOK_ENTRY_JobTitle' not handled in switch
gnokii_contact_format.c:109: warning: enumeration value
'GN_PHONEBOOK_ENTRY_Company' not handled in switch
gnokii_contact_format.c:109: warning: enumeration value
'GN_PHONEBOOK_ENTRY_Nickname' not handled in switch
gnokii_contact_format.c:109: warning: enumeration value
'GN_PHONEBOOK_ENTRY_Birthday' not handled in switch
make[2]: *** [gnokii_contact_format.lo] Error 1
make[2]: Leaving directory `/usr/src/redhat/BUILD/libopensync-plugin-gnokii-0.22
Comment 5 Hans de Goede 2007-11-24 14:25:33 EST
Looks good, approved.

I'm ready to sponsor you now, please create an account in the Fedora account
system (if you haven't done so already), sign the CLA and apply for CVS extras
membership.

Once you've done that please add a comment to any of your 3 reviews saying that
you've done so, and include your Fedora account login name, then I'll sponsor
you and after that is done you can ask for creation of the necessary modules in
CVS and start importing and building your packages.
Comment 6 josef radinger 2007-11-29 10:44:21 EST
New Package CVS Request
=======================
Package Name: libopensync-plugin-gnokii
Short Description: gnokii plugin for libopensync
Owners: cheese
Branches: devel F-7 F-8
InitialCC:  cheese
Cvsextras Commits: yes
Comment 7 josef radinger 2007-11-29 10:45:32 EST
New Package CVS Request
=======================
Package Name: libopensync-plugin-gnokii
Short Description: gnokii plugin for libopensync
Owners: cheese
Branches: devel F-7 F-8
InitialCC:  cheese
Cvsextras Commits: yes

Comment 8 Kevin Fenzi 2007-11-29 14:56:52 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.